Skip to main content
POST
/
api
/
v1
/
strategies
/
{id}
/
pause
Pause strategy
curl --request POST \
  --url https://mcp.echozero.app/api/v1/strategies/{id}/pause \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "data": {
    "botId": "<string>",
    "status": "<string>",
    "message": "<string>",
    "affectedBotCount": 123
  }
}

Authorizations

x-api-key
string
header
required

Headers

x-signature
string

HMAC-SHA256 signature: HMAC-SHA256(secretKey, timestamp + METHOD + path + body). Optional -- when omitted, HMAC verification is skipped.

x-timestamp
string

Request timestamp in epoch milliseconds. Required when x-signature is provided. Rejected if drift exceeds 5 minutes.

Path Parameters

id
string
required

Response

Pause result.

success
boolean
required
Example:

true

data
object
required

Endpoint-specific payload